Get detailed album view
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"uri": "<string>",
"title": "<string>",
"artist": "<string>",
"artistUri": "<string>",
"year": 123,
"albumArt": "<string>",
"releaseDate": "<string>",
"sha256": "<string>",
"playCount": 1,
"uniqueListeners": 1,
"tags": [
"<string>"
],
"tracks": [
{
"id": "<string>",
"title": "<string>",
"artist": "<string>",
"albumArtist": "<string>",
"albumArt": "<string>",
"uri": "<string>",
"album": "<string>",
"duration": 123,
"trackNumber": 123,
"discNumber": 123,
"playCount": 1,
"likesCount": 1,
"liked": true,
"uniqueListeners": 1,
"albumUri": "<string>",
"artistUri": "<string>",
"sha256": "<string>",
"mbid": "<string>",
"isrc": "<string>",
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "<string>",
"mbId": "<string>",
"youtubeLink": "<string>",
"spotifyLink": "<string>",
"appleMusicLink": "<string>",
"tidalLink": "<string>",
"lyrics": "<string>",
"composer": "<string>",
"genre": "<string>",
"label": "<string>",
"copyrightMessage": "<string>",
"key": "<string>",
"acoustidFingerprint": "<string>",
"xataVersion": 123,
"bpm": 123
}
],
"discogs": {
"releaseId": 123,
"masterId": 123,
"title": "<string>",
"artist": "<string>",
"albumArt": "<string>",
"year": 123,
"originalYear": 123,
"releaseDate": "<string>",
"country": "<string>",
"label": "<string>",
"catalogNumber": "<string>",
"barcode": "<string>",
"formats": [
"<string>"
],
"genres": [
"<string>"
],
"styles": [
"<string>"
],
"url": "<string>",
"score": 50,
"credits": [
{
"artistId": 123,
"name": "<string>",
"role": "<string>",
"tracks": "<string>"
}
],
"tracklist": [
{
"position": "<string>",
"type": "<string>",
"title": "<string>",
"duration": "<string>",
"durationMs": 123,
"discNumber": 123,
"trackNumber": 123
}
],
"labels": [
{
"labelId": 123,
"name": "<string>",
"catalogNumber": "<string>",
"kind": "<string>",
"entityType": "<string>"
}
],
"identifiers": [
{
"type": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"artists": [
{
"artistId": 123,
"name": "<string>",
"anv": "<string>",
"joinPhrase": "<string>",
"role": "<string>"
}
],
"master": {
"masterId": 123,
"title": "<string>",
"artist": "<string>",
"year": 123,
"mainReleaseId": 123,
"url": "<string>",
"genres": [
"<string>"
],
"styles": [
"<string>"
]
}
},
"createdAt": "<string>",
"appleMusicLink": "<string>",
"spotifyLink": "<string>",
"tidalLink": "<string>",
"youtubeLink": "<string>",
"discogsReleaseId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"xataVersion": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}app.rocksky.album
Get detailed album view
GET
/
app.rocksky.album.getAlbum
Get detailed album view
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"uri": "<string>",
"title": "<string>",
"artist": "<string>",
"artistUri": "<string>",
"year": 123,
"albumArt": "<string>",
"releaseDate": "<string>",
"sha256": "<string>",
"playCount": 1,
"uniqueListeners": 1,
"tags": [
"<string>"
],
"tracks": [
{
"id": "<string>",
"title": "<string>",
"artist": "<string>",
"albumArtist": "<string>",
"albumArt": "<string>",
"uri": "<string>",
"album": "<string>",
"duration": 123,
"trackNumber": 123,
"discNumber": 123,
"playCount": 1,
"likesCount": 1,
"liked": true,
"uniqueListeners": 1,
"albumUri": "<string>",
"artistUri": "<string>",
"sha256": "<string>",
"mbid": "<string>",
"isrc": "<string>",
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "<string>",
"mbId": "<string>",
"youtubeLink": "<string>",
"spotifyLink": "<string>",
"appleMusicLink": "<string>",
"tidalLink": "<string>",
"lyrics": "<string>",
"composer": "<string>",
"genre": "<string>",
"label": "<string>",
"copyrightMessage": "<string>",
"key": "<string>",
"acoustidFingerprint": "<string>",
"xataVersion": 123,
"bpm": 123
}
],
"discogs": {
"releaseId": 123,
"masterId": 123,
"title": "<string>",
"artist": "<string>",
"albumArt": "<string>",
"year": 123,
"originalYear": 123,
"releaseDate": "<string>",
"country": "<string>",
"label": "<string>",
"catalogNumber": "<string>",
"barcode": "<string>",
"formats": [
"<string>"
],
"genres": [
"<string>"
],
"styles": [
"<string>"
],
"url": "<string>",
"score": 50,
"credits": [
{
"artistId": 123,
"name": "<string>",
"role": "<string>",
"tracks": "<string>"
}
],
"tracklist": [
{
"position": "<string>",
"type": "<string>",
"title": "<string>",
"duration": "<string>",
"durationMs": 123,
"discNumber": 123,
"trackNumber": 123
}
],
"labels": [
{
"labelId": 123,
"name": "<string>",
"catalogNumber": "<string>",
"kind": "<string>",
"entityType": "<string>"
}
],
"identifiers": [
{
"type": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"artists": [
{
"artistId": 123,
"name": "<string>",
"anv": "<string>",
"joinPhrase": "<string>",
"role": "<string>"
}
],
"master": {
"masterId": 123,
"title": "<string>",
"artist": "<string>",
"year": 123,
"mainReleaseId": 123,
"url": "<string>",
"genres": [
"<string>"
],
"styles": [
"<string>"
]
}
},
"createdAt": "<string>",
"appleMusicLink": "<string>",
"spotifyLink": "<string>",
"tidalLink": "<string>",
"youtubeLink": "<string>",
"discogsReleaseId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"xataVersion": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Rocksky bearer token.
Query Parameters
The URI of the album to retrieve.
Response
Success
The unique identifier of the album.
The URI of the album.
The title of the album.
The artist of the album.
The URI of the album's artist.
The year the album was released.
The URL of the album art image.
The release date of the album.
The SHA256 hash of the album.
The number of times the album has been played.
Required range:
x >= 0The number of unique listeners who have played the album.
Required range:
x >= 0Show child attributes
Show child attributes
Release metadata matched on Discogs for this album.
Show child attributes
Show child attributes